4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.InstallMisc

Classes: InstallMisc

## Classes

class InstallMisc(distutils.cmd.Command)
  Common base class for installing some files in a subdirectory. Currently used by install_data and install_localstate.

  ### Methods

  finalize_options(self)
    Overrides: finalize_options from class Command
  get_allfiles(self)
  get_filelist_outputs(self, filelist)
  get_filelists(self)
  get_inputs(self)
  get_outputs(self)
  get_source_files(self)
  initialize_options(self)
    Overrides: initialize_options from class Command
  run(self)
    Overrides: run from class Command

  ### Methods inherited from class distutils.cmd.Command

  __getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

  ### Members

  user_options = [('force', 'f', 'force installation (overwrite existing files)')]

  ### Members inherited from class distutils.cmd.Command

  sub_commands